Subject: San Diego Invite
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 8 May 2001 17:33:00 -0700 (PDT)

Hi Jeff.

I am Mike's brother, Ronnie, living in San Diego and a member of the San
Diego Chapter of YPO.  With all the propaganda being spread about the
electricity and energy crisis we are experiencing here in California, I
thought it would be worthwhile to invite you to town to give us an
insider's view on what is really going on (aka, the "truth").  Is there
anyway you can find time in your busy schedule to visit us over dinner
with a short talk and a question and answer period.  The sooner the
better.

I will schedule a "special" meeting of our chapter to accommodate any
dates that work for you.

I look forward to hearing from you.

Ronnie Morgan
760-476-0700